<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: ProcessLocation.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_process_location_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">ProcessLocation.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="_process_location_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad4b771fd12a876bc2b0e55d207cc11ae"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae">ReadUtf8Element</a> (bsoncxx::document::view docvw, std::string key)</td></tr>
<tr class="separator:ad4b771fd12a876bc2b0e55d207cc11ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac327d1c9520a2030a8609030034b668e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#ac327d1c9520a2030a8609030034b668e">remove_whitespaces</a> (char *p)</td></tr>
<tr class="separator:ac327d1c9520a2030a8609030034b668e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae38289813ff3a7abc123399ecafecbfc"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#ae38289813ff3a7abc123399ecafecbfc">remove_whitespaces</a> (std::string &amp;str)</td></tr>
<tr class="separator:ae38289813ff3a7abc123399ecafecbfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abad38270e661e69e3b35b5ffa07ac664"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#abad38270e661e69e3b35b5ffa07ac664">getSLocEntryPair</a> (const SourceManager &amp;SourceManager, <a class="el" href="_types_for_analysis_8h.html#a21c3081cc4c78d68e3591a3d2c4ca049">SLocEntryPair</a> &amp;SLocPair, <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;Local, <a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">BegEndDecompose</a> &amp;LocInfoBegEnd)</td></tr>
<tr class="separator:abad38270e661e69e3b35b5ffa07ac664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0126d17e9e8f5db5be8af303e1ca818"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#ab0126d17e9e8f5db5be8af303e1ca818">StoreFileLocation</a> (<a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;Local, std::pair&lt; SourceLocation, SourceLocation &gt; PairExpans)</td></tr>
<tr class="separator:ab0126d17e9e8f5db5be8af303e1ca818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92bdb085634169c295153fd9b1ac803c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a92bdb085634169c295153fd9b1ac803c">StoreExpansionLocation</a> (<a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;Local, const SrcMgr::SLocEntry *E, <a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">BegEndDecompose</a> LocInfoBegEnd)</td></tr>
<tr class="separator:a92bdb085634169c295153fd9b1ac803c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac7d77dffc37a62046a913dd5f3a0545"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#aac7d77dffc37a62046a913dd5f3a0545">StoreMixedExpansionLocation</a> (<a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;Local, <a class="el" href="_types_for_analysis_8h.html#a21c3081cc4c78d68e3591a3d2c4ca049">SLocEntryPair</a> &amp;SLocPair, <a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">BegEndDecompose</a> LocInfoBegEnd, std::pair&lt; SourceLocation, SourceLocation &gt; PairExpans, bool set1stPosition)</td></tr>
<tr class="separator:aac7d77dffc37a62046a913dd5f3a0545"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f3e3eae2fa66e3b8f466c76ca94fca2"><td class="memItemLeft" align="right" valign="top">std::pair&lt; SourceLocation, SourceLocation &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a5f3e3eae2fa66e3b8f466c76ca94fca2">getExpansionLoc</a> (const SourceManager &amp;SourceManager, SourceLocation Spell)</td></tr>
<tr class="separator:a5f3e3eae2fa66e3b8f466c76ca94fca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91ad95bcd3976d77010abe8ec987ac7a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_expansion_information.html">ExpansionInformation</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a">getSpellingFromExpansion</a> (bsoncxx::builder::basic::array &amp;array_builder, const SourceManager &amp;SourceManager, std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;ExpInform_vec, std::pair&lt; SourceLocation, SourceLocation &gt; PairExpans, unsigned &amp;macrolevel, unsigned &amp;argExpLevel, <a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a> &amp;ResultEval)</td></tr>
<tr class="separator:a91ad95bcd3976d77010abe8ec987ac7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89d0ffc093cc0944f47db2497074cd09"><td class="memItemLeft" align="right" valign="top">std::pair&lt; unsigned, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09">StoreOneExpansion</a> (bsoncxx::builder::basic::array &amp;array_builder, const SourceManager &amp;SourceManager, <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;Local, std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;ExpInform_vec, <a class="el" href="_types_for_analysis_8h.html#a21c3081cc4c78d68e3591a3d2c4ca049">SLocEntryPair</a> SLocPair, <a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">BegEndDecompose</a> LocInfoBegEnd, std::pair&lt; SourceLocation, SourceLocation &gt; PairExpans, unsigned &amp;macrolevel, unsigned &amp;argExpLevel, const bool isFirstExp, <a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a> &amp;ResultEval)</td></tr>
<tr class="separator:a89d0ffc093cc0944f47db2497074cd09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a018c66977d2c402cc520713f94a7c3b4"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a018c66977d2c402cc520713f94a7c3b4">getFilePathFromFID</a> (FileID fid, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a018c66977d2c402cc520713f94a7c3b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd811eedb0bac0f13ce38b7da3dc038c"><td class="memItemLeft" align="right" valign="top">std::pair&lt; std::string, std::pair&lt; unsigned, unsigned &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#acd811eedb0bac0f13ce38b7da3dc038c">getLincol</a> (std::pair&lt; FileID, unsigned &gt; DecLoc, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:acd811eedb0bac0f13ce38b7da3dc038c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f90ddad347bcb1a30b13b5a45d67d98"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_exp_eval.html">ExpEval</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a2f90ddad347bcb1a30b13b5a45d67d98">getTextPosition</a> (std::pair&lt; std::pair&lt; SourceLocation, SourceLocation &gt;, FileID &gt; Loc, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a2f90ddad347bcb1a30b13b5a45d67d98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2de931de8faaf31e511359fbfa50340"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#ae2de931de8faaf31e511359fbfa50340">ProcessExpansionVector</a> (unsigned &amp;index, unsigned &amp;Exlevel, unsigned &amp;Splevel, <a class="el" href="struct_loc_eval.html">LocEval</a> &amp;CurrentLevelLoc, std::vector&lt; <a class="el" href="struct_loc_eval.html">LocEval</a> &gt; &amp;AllLocations, std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;ExpInform_vec, const SourceManager &amp;SourceManager, bool isArgExp)</td></tr>
<tr class="separator:ae2de931de8faaf31e511359fbfa50340"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade70a01fca7ba031466bdf8f0a38a930"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#ade70a01fca7ba031466bdf8f0a38a930">FindBegEndTuple</a> (unsigned &amp;index, std::vector&lt; std::pair&lt; FileID, unsigned &gt;&gt; &amp;IdOfFileOrExpInfoBeg_vec, std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;ExpInform_vec, std::vector&lt; std::pair&lt; unsigned, unsigned &gt;&gt; &amp;BegEndTuple)</td></tr>
<tr class="separator:ade70a01fca7ba031466bdf8f0a38a930"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa92bff132edcf807c0e61f77e0fefd51"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#aa92bff132edcf807c0e61f77e0fefd51">getIndexPair</a> (unsigned &amp;index, bool &amp;isEndPos, std::vector&lt; <a class="el" href="struct_index_pair_type.html">IndexPairType</a> &gt; &amp;indexPair_vec, std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;ExpInform_vec, unsigned &amp;ArgExpCounter, unsigned &amp;indexOfMaxArgExpLvl, bool &amp;hasGreaterExpLvl)</td></tr>
<tr class="separator:aa92bff132edcf807c0e61f77e0fefd51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af82f871104e7e32a437bc234650282bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#af82f871104e7e32a437bc234650282bf">processScratchArea</a> (const SourceManager &amp;SourceManager, std::vector&lt; std::pair&lt; std::pair&lt; SourceLocation, SourceLocation &gt;, FileID &gt;&gt; &amp;Scratch, std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;ExpInform_vec, unsigned &amp;indexReplaceLoc)</td></tr>
<tr class="separator:af82f871104e7e32a437bc234650282bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b04291b9204ab852bf4887a6d4943fb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a4b04291b9204ab852bf4887a6d4943fb">FindReplaceNExpansionForTuples</a> (std::vector&lt; std::pair&lt; unsigned, unsigned &gt;&gt; &amp;BegEndTuple, std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;ExpInform_vec, const SourceManager &amp;SourceManager, <a class="el" href="struct_res_loc_pairs_per_node.html">ResLocPairsPerNode</a> &amp;ResSourceLoc)</td></tr>
<tr class="separator:a4b04291b9204ab852bf4887a6d4943fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a703ef4c0a5d29ad491510d3a41b8208a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a703ef4c0a5d29ad491510d3a41b8208a">ProcessExpansionVector</a> (unsigned &amp;index, unsigned &amp;Exlevel, unsigned &amp;Splevel, <a class="el" href="struct_loc_eval.html">LocEval</a> &amp;CurrentLevelLoc, std::vector&lt; <a class="el" href="struct_loc_eval.html">LocEval</a> &gt; &amp;AllLocations, std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;ExpInform_vec, const SourceManager &amp;SourceManager, <a class="el" href="struct_res_loc_pairs_per_node.html">ResLocPairsPerNode</a> &amp;ResSourceLoc)</td></tr>
<tr class="separator:a703ef4c0a5d29ad491510d3a41b8208a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb6801f1785c7ca958a09296f48539c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#abb6801f1785c7ca958a09296f48539c6">createStringsForFileReport</a> (const SourceManager &amp;SourceManager, std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;ExpInform_vec, <a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a> &amp;ResultEval)</td></tr>
<tr class="separator:abb6801f1785c7ca958a09296f48539c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65f08daa76d5eec8dcb7aa64aa4118c5"><td class="memItemLeft" align="right" valign="top">const SrcMgr::SLocEntry *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a65f08daa76d5eec8dcb7aa64aa4118c5">getSlocEntryOfSource</a> (SourceLocation &amp;Macro, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a65f08daa76d5eec8dcb7aa64aa4118c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fbf463f0a31bd0cbddfd31e1241d986"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a9fbf463f0a31bd0cbddfd31e1241d986">createIndex</a> (std::vector&lt; unsigned &gt; &amp;tree, unsigned element_ctr)</td></tr>
<tr class="separator:a9fbf463f0a31bd0cbddfd31e1241d986"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17c3624a1862686ac638649a89317f63"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a17c3624a1862686ac638649a89317f63">IterativeLocationDetermination</a> (bsoncxx::builder::basic::array &amp;array_builder, SourceLocation Macro, const SourceManager &amp;SourceManager, std::vector&lt; unsigned &gt; &amp;tree, unsigned &amp;lvlCtr, std::string StartLoc, std::string collectionName, std::string type)</td></tr>
<tr class="separator:a17c3624a1862686ac638649a89317f63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ef3bed3f74a33ac993347585572548c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c">process_location_and_macros</a> (bsoncxx::builder::basic::document &amp;MainNode, <a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> &amp;AllLocationInformation, SourceLocation &amp;StartMacro, SourceLocation &amp;EndMacro, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a5ef3bed3f74a33ac993347585572548c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d742bd3bdcdb084d4f8c0b909d491a6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a9d742bd3bdcdb084d4f8c0b909d491a6">GetTotalDeclLocation</a> (bsoncxx::builder::basic::document &amp;MainNode, <a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> &amp;totalLocationInfo, const clang::Decl &amp;Decl, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a9d742bd3bdcdb084d4f8c0b909d491a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9adc45180914eee887ec4d625c6b524a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a9adc45180914eee887ec4d625c6b524a">GetTotalTypeLocation</a> (bsoncxx::builder::basic::document &amp;MainNode, <a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> &amp;totalLocationInfo, TypeLoc TypeLoc, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a9adc45180914eee887ec4d625c6b524a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92f4e70e7681af4625b590e79d1a935c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_process_location_8h.html#a92f4e70e7681af4625b590e79d1a935c">GetTotalStmtLocation</a> (bsoncxx::builder::basic::document &amp;MainNode, <a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> &amp;totalLocationInfo, const clang::Stmt &amp;Stmt, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a92f4e70e7681af4625b590e79d1a935c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a9fbf463f0a31bd0cbddfd31e1241d986"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fbf463f0a31bd0cbddfd31e1241d986">&#9670;&nbsp;</a></span>createIndex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string createIndex </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; unsigned &gt; &amp;&#160;</td>
          <td class="paramname"><em>tree</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>element_ctr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a9fbf463f0a31bd0cbddfd31e1241d986_icgraph.png" border="0" usemap="#_process_location_8h_a9fbf463f0a31bd0cbddfd31e1241d986_icgraph" alt=""/></div>
<map name="_process_location_8h_a9fbf463f0a31bd0cbddfd31e1241d986_icgraph" id="_process_location_8h_a9fbf463f0a31bd0cbddfd31e1241d986_icgraph">
<area shape="rect" title=" " alt="" coords="701,56,800,83"/>
<area shape="rect" href="_process_location_8h.html#a17c3624a1862686ac638649a89317f63" title=" " alt="" coords="427,56,653,83"/>
<area shape="rect" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c" title=" " alt="" coords="216,49,379,90"/>
<area shape="rect" href="_process_location_8h.html#a9d742bd3bdcdb084d4f8c0b909d491a6" title=" " alt="" coords="7,5,167,32"/>
<area shape="rect" href="_process_location_8h.html#a92f4e70e7681af4625b590e79d1a935c" title=" " alt="" coords="5,56,168,83"/>
<area shape="rect" href="_process_location_8h.html#a9adc45180914eee887ec4d625c6b524a" title=" " alt="" coords="6,107,167,133"/>
</map>
</div>

</div>
</div>
<a id="abb6801f1785c7ca958a09296f48539c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb6801f1785c7ca958a09296f48539c6">&#9670;&nbsp;</a></span>createStringsForFileReport()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void createStringsForFileReport </td>
          <td>(</td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>ExpInform_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a> &amp;&#160;</td>
          <td class="paramname"><em>ResultEval</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_abb6801f1785c7ca958a09296f48539c6_cgraph.png" border="0" usemap="#_process_location_8h_abb6801f1785c7ca958a09296f48539c6_cgraph" alt=""/></div>
<map name="_process_location_8h_abb6801f1785c7ca958a09296f48539c6_cgraph" id="_process_location_8h_abb6801f1785c7ca958a09296f48539c6_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,200,57"/>
<area shape="rect" href="_process_location_8h.html#a2f90ddad347bcb1a30b13b5a45d67d98" title=" " alt="" coords="277,5,399,32"/>
<area shape="rect" href="_process_location_8h.html#ae2de931de8faaf31e511359fbfa50340" title=" " alt="" coords="248,56,428,83"/>
<area shape="rect" href="_process_location_8h.html#acd811eedb0bac0f13ce38b7da3dc038c" title=" " alt="" coords="476,5,557,32"/>
<area shape="rect" href="_process_location_8h.html#a018c66977d2c402cc520713f94a7c3b4" title=" " alt="" coords="605,5,755,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_abb6801f1785c7ca958a09296f48539c6_icgraph.png" border="0" usemap="#_process_location_8h_abb6801f1785c7ca958a09296f48539c6_icgraph" alt=""/></div>
<map name="_process_location_8h_abb6801f1785c7ca958a09296f48539c6_icgraph" id="_process_location_8h_abb6801f1785c7ca958a09296f48539c6_icgraph">
<area shape="rect" title=" " alt="" coords="445,5,640,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="203,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
<a id="ade70a01fca7ba031466bdf8f0a38a930"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade70a01fca7ba031466bdf8f0a38a930">&#9670;&nbsp;</a></span>FindBegEndTuple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FindBegEndTuple </td>
          <td>(</td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::pair&lt; FileID, unsigned &gt;&gt; &amp;&#160;</td>
          <td class="paramname"><em>IdOfFileOrExpInfoBeg_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>ExpInform_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::pair&lt; unsigned, unsigned &gt;&gt; &amp;&#160;</td>
          <td class="paramname"><em>BegEndTuple</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_ade70a01fca7ba031466bdf8f0a38a930_icgraph.png" border="0" usemap="#_process_location_8h_ade70a01fca7ba031466bdf8f0a38a930_icgraph" alt=""/></div>
<map name="_process_location_8h_ade70a01fca7ba031466bdf8f0a38a930_icgraph" id="_process_location_8h_ade70a01fca7ba031466bdf8f0a38a930_icgraph">
<area shape="rect" title=" " alt="" coords="233,5,365,32"/>
<area shape="rect" href="_process_location_8h.html#a703ef4c0a5d29ad491510d3a41b8208a" title=" " alt="" coords="5,5,185,32"/>
</map>
</div>

</div>
</div>
<a id="a4b04291b9204ab852bf4887a6d4943fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b04291b9204ab852bf4887a6d4943fb">&#9670;&nbsp;</a></span>FindReplaceNExpansionForTuples()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool FindReplaceNExpansionForTuples </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::pair&lt; unsigned, unsigned &gt;&gt; &amp;&#160;</td>
          <td class="paramname"><em>BegEndTuple</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>ExpInform_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_res_loc_pairs_per_node.html">ResLocPairsPerNode</a> &amp;&#160;</td>
          <td class="paramname"><em>ResSourceLoc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a4b04291b9204ab852bf4887a6d4943fb_cgraph.png" border="0" usemap="#_process_location_8h_a4b04291b9204ab852bf4887a6d4943fb_cgraph" alt=""/></div>
<map name="_process_location_8h_a4b04291b9204ab852bf4887a6d4943fb_cgraph" id="_process_location_8h_a4b04291b9204ab852bf4887a6d4943fb_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,204,47"/>
<area shape="rect" href="_process_location_8h.html#af82f871104e7e32a437bc234650282bf" title=" " alt="" coords="252,13,403,39"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a4b04291b9204ab852bf4887a6d4943fb_icgraph.png" border="0" usemap="#_process_location_8h_a4b04291b9204ab852bf4887a6d4943fb_icgraph" alt=""/></div>
<map name="_process_location_8h_a4b04291b9204ab852bf4887a6d4943fb_icgraph" id="_process_location_8h_a4b04291b9204ab852bf4887a6d4943fb_icgraph">
<area shape="rect" title=" " alt="" coords="233,5,432,47"/>
<area shape="rect" href="_process_location_8h.html#a703ef4c0a5d29ad491510d3a41b8208a" title=" " alt="" coords="5,13,185,39"/>
</map>
</div>

</div>
</div>
<a id="a5f3e3eae2fa66e3b8f466c76ca94fca2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f3e3eae2fa66e3b8f466c76ca94fca2">&#9670;&nbsp;</a></span>getExpansionLoc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;SourceLocation,SourceLocation&gt; getExpansionLoc </td>
          <td>(</td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SourceLocation&#160;</td>
          <td class="paramname"><em>Spell</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a018c66977d2c402cc520713f94a7c3b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a018c66977d2c402cc520713f94a7c3b4">&#9670;&nbsp;</a></span>getFilePathFromFID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string getFilePathFromFID </td>
          <td>(</td>
          <td class="paramtype">FileID&#160;</td>
          <td class="paramname"><em>fid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a018c66977d2c402cc520713f94a7c3b4_icgraph.png" border="0" usemap="#_process_location_8h_a018c66977d2c402cc520713f94a7c3b4_icgraph" alt=""/></div>
<map name="_process_location_8h_a018c66977d2c402cc520713f94a7c3b4_icgraph" id="_process_location_8h_a018c66977d2c402cc520713f94a7c3b4_icgraph">
<area shape="rect" title=" " alt="" coords="988,5,1137,32"/>
<area shape="rect" href="_process_location_8h.html#acd811eedb0bac0f13ce38b7da3dc038c" title=" " alt="" coords="859,5,940,32"/>
<area shape="rect" href="_process_location_8h.html#a2f90ddad347bcb1a30b13b5a45d67d98" title=" " alt="" coords="688,5,811,32"/>
<area shape="rect" href="_process_location_8h.html#abb6801f1785c7ca958a09296f48539c6" title=" " alt="" coords="445,5,640,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="203,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
<a id="aa92bff132edcf807c0e61f77e0fefd51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa92bff132edcf807c0e61f77e0fefd51">&#9670;&nbsp;</a></span>getIndexPair()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void getIndexPair </td>
          <td>(</td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>isEndPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_index_pair_type.html">IndexPairType</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>indexPair_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>ExpInform_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>ArgExpCounter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>indexOfMaxArgExpLvl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>hasGreaterExpLvl</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_aa92bff132edcf807c0e61f77e0fefd51_icgraph.png" border="0" usemap="#_process_location_8h_aa92bff132edcf807c0e61f77e0fefd51_icgraph" alt=""/></div>
<map name="_process_location_8h_aa92bff132edcf807c0e61f77e0fefd51_icgraph" id="_process_location_8h_aa92bff132edcf807c0e61f77e0fefd51_icgraph">
<area shape="rect" title=" " alt="" coords="233,5,336,32"/>
<area shape="rect" href="_process_location_8h.html#a703ef4c0a5d29ad491510d3a41b8208a" title=" " alt="" coords="5,5,185,32"/>
</map>
</div>

</div>
</div>
<a id="acd811eedb0bac0f13ce38b7da3dc038c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd811eedb0bac0f13ce38b7da3dc038c">&#9670;&nbsp;</a></span>getLincol()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;std::string,std::pair&lt;unsigned,unsigned&gt; &gt; getLincol </td>
          <td>(</td>
          <td class="paramtype">std::pair&lt; FileID, unsigned &gt;&#160;</td>
          <td class="paramname"><em>DecLoc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_acd811eedb0bac0f13ce38b7da3dc038c_cgraph.png" border="0" usemap="#_process_location_8h_acd811eedb0bac0f13ce38b7da3dc038c_cgraph" alt=""/></div>
<map name="_process_location_8h_acd811eedb0bac0f13ce38b7da3dc038c_cgraph" id="_process_location_8h_acd811eedb0bac0f13ce38b7da3dc038c_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,87,32"/>
<area shape="rect" href="_process_location_8h.html#a018c66977d2c402cc520713f94a7c3b4" title=" " alt="" coords="135,5,284,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_acd811eedb0bac0f13ce38b7da3dc038c_icgraph.png" border="0" usemap="#_process_location_8h_acd811eedb0bac0f13ce38b7da3dc038c_icgraph" alt=""/></div>
<map name="_process_location_8h_acd811eedb0bac0f13ce38b7da3dc038c_icgraph" id="_process_location_8h_acd811eedb0bac0f13ce38b7da3dc038c_icgraph">
<area shape="rect" title=" " alt="" coords="859,5,940,32"/>
<area shape="rect" href="_process_location_8h.html#a2f90ddad347bcb1a30b13b5a45d67d98" title=" " alt="" coords="688,5,811,32"/>
<area shape="rect" href="_process_location_8h.html#abb6801f1785c7ca958a09296f48539c6" title=" " alt="" coords="445,5,640,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="203,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
<a id="a65f08daa76d5eec8dcb7aa64aa4118c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65f08daa76d5eec8dcb7aa64aa4118c5">&#9670;&nbsp;</a></span>getSlocEntryOfSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SrcMgr::SLocEntry* getSlocEntryOfSource </td>
          <td>(</td>
          <td class="paramtype">SourceLocation &amp;&#160;</td>
          <td class="paramname"><em>Macro</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a65f08daa76d5eec8dcb7aa64aa4118c5_icgraph.png" border="0" usemap="#_process_location_8h_a65f08daa76d5eec8dcb7aa64aa4118c5_icgraph" alt=""/></div>
<map name="_process_location_8h_a65f08daa76d5eec8dcb7aa64aa4118c5_icgraph" id="_process_location_8h_a65f08daa76d5eec8dcb7aa64aa4118c5_icgraph">
<area shape="rect" title=" " alt="" coords="701,56,864,83"/>
<area shape="rect" href="_process_location_8h.html#a17c3624a1862686ac638649a89317f63" title=" " alt="" coords="427,56,653,83"/>
<area shape="rect" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c" title=" " alt="" coords="216,49,379,90"/>
<area shape="rect" href="_process_location_8h.html#a9d742bd3bdcdb084d4f8c0b909d491a6" title=" " alt="" coords="7,5,167,32"/>
<area shape="rect" href="_process_location_8h.html#a92f4e70e7681af4625b590e79d1a935c" title=" " alt="" coords="5,56,168,83"/>
<area shape="rect" href="_process_location_8h.html#a9adc45180914eee887ec4d625c6b524a" title=" " alt="" coords="6,107,167,133"/>
</map>
</div>

</div>
</div>
<a id="abad38270e661e69e3b35b5ffa07ac664"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abad38270e661e69e3b35b5ffa07ac664">&#9670;&nbsp;</a></span>getSLocEntryPair()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void getSLocEntryPair </td>
          <td>(</td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_types_for_analysis_8h.html#a21c3081cc4c78d68e3591a3d2c4ca049">SLocEntryPair</a> &amp;&#160;</td>
          <td class="paramname"><em>SLocPair</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;&#160;</td>
          <td class="paramname"><em>Local</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">BegEndDecompose</a> &amp;&#160;</td>
          <td class="paramname"><em>LocInfoBegEnd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_abad38270e661e69e3b35b5ffa07ac664_icgraph.png" border="0" usemap="#_process_location_8h_abad38270e661e69e3b35b5ffa07ac664_icgraph" alt=""/></div>
<map name="_process_location_8h_abad38270e661e69e3b35b5ffa07ac664_icgraph" id="_process_location_8h_abad38270e661e69e3b35b5ffa07ac664_icgraph">
<area shape="rect" title=" " alt="" coords="445,5,576,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="203,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
<a id="a91ad95bcd3976d77010abe8ec987ac7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91ad95bcd3976d77010abe8ec987ac7a">&#9670;&nbsp;</a></span>getSpellingFromExpansion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_expansion_information.html">ExpansionInformation</a> getSpellingFromExpansion </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::array &amp;&#160;</td>
          <td class="paramname"><em>array_builder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>ExpInform_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::pair&lt; SourceLocation, SourceLocation &gt;&#160;</td>
          <td class="paramname"><em>PairExpans</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>macrolevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>argExpLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a> &amp;&#160;</td>
          <td class="paramname"><em>ResultEval</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a91ad95bcd3976d77010abe8ec987ac7a_cgraph.png" border="0" usemap="#_process_location_8h_a91ad95bcd3976d77010abe8ec987ac7a_cgraph" alt=""/></div>
<map name="_process_location_8h_a91ad95bcd3976d77010abe8ec987ac7a_cgraph" id="_process_location_8h_a91ad95bcd3976d77010abe8ec987ac7a_cgraph">
<area shape="rect" title=" " alt="" coords="5,157,200,184"/>
<area shape="rect" href="_process_location_8h.html#abb6801f1785c7ca958a09296f48539c6" title=" " alt="" coords="248,31,443,57"/>
<area shape="rect" href="_process_location_8h.html#abad38270e661e69e3b35b5ffa07ac664" title=" " alt="" coords="280,81,411,108"/>
<area shape="rect" href="_process_location_8h.html#a92bdb085634169c295153fd9b1ac803c" title=" " alt="" coords="256,132,435,159"/>
<area shape="rect" href="_process_location_8h.html#ab0126d17e9e8f5db5be8af303e1ca818" title=" " alt="" coords="278,183,413,209"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="271,233,420,260"/>
<area shape="rect" href="_process_location_8h.html#a2f90ddad347bcb1a30b13b5a45d67d98" title=" " alt="" coords="538,5,661,32"/>
<area shape="rect" href="_process_location_8h.html#ae2de931de8faaf31e511359fbfa50340" title=" " alt="" coords="509,56,689,83"/>
<area shape="rect" href="_process_location_8h.html#acd811eedb0bac0f13ce38b7da3dc038c" title=" " alt="" coords="756,5,837,32"/>
<area shape="rect" href="_process_location_8h.html#a018c66977d2c402cc520713f94a7c3b4" title=" " alt="" coords="885,5,1035,32"/>
<area shape="rect" href="_process_location_8h.html#aac7d77dffc37a62046a913dd5f3a0545" title=" " alt="" coords="491,233,708,260"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a91ad95bcd3976d77010abe8ec987ac7a_icgraph.png" border="0" usemap="#_process_location_8h_a91ad95bcd3976d77010abe8ec987ac7a_icgraph" alt=""/></div>
<map name="_process_location_8h_a91ad95bcd3976d77010abe8ec987ac7a_icgraph" id="_process_location_8h_a91ad95bcd3976d77010abe8ec987ac7a_icgraph">
<area shape="rect" title=" " alt="" coords="203,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
<a id="a2f90ddad347bcb1a30b13b5a45d67d98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f90ddad347bcb1a30b13b5a45d67d98">&#9670;&nbsp;</a></span>getTextPosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_exp_eval.html">ExpEval</a> getTextPosition </td>
          <td>(</td>
          <td class="paramtype">std::pair&lt; std::pair&lt; SourceLocation, SourceLocation &gt;, FileID &gt;&#160;</td>
          <td class="paramname"><em>Loc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a2f90ddad347bcb1a30b13b5a45d67d98_cgraph.png" border="0" usemap="#_process_location_8h_a2f90ddad347bcb1a30b13b5a45d67d98_cgraph" alt=""/></div>
<map name="_process_location_8h_a2f90ddad347bcb1a30b13b5a45d67d98_cgraph" id="_process_location_8h_a2f90ddad347bcb1a30b13b5a45d67d98_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,128,32"/>
<area shape="rect" href="_process_location_8h.html#acd811eedb0bac0f13ce38b7da3dc038c" title=" " alt="" coords="176,5,257,32"/>
<area shape="rect" href="_process_location_8h.html#a018c66977d2c402cc520713f94a7c3b4" title=" " alt="" coords="305,5,455,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a2f90ddad347bcb1a30b13b5a45d67d98_icgraph.png" border="0" usemap="#_process_location_8h_a2f90ddad347bcb1a30b13b5a45d67d98_icgraph" alt=""/></div>
<map name="_process_location_8h_a2f90ddad347bcb1a30b13b5a45d67d98_icgraph" id="_process_location_8h_a2f90ddad347bcb1a30b13b5a45d67d98_icgraph">
<area shape="rect" title=" " alt="" coords="688,5,811,32"/>
<area shape="rect" href="_process_location_8h.html#abb6801f1785c7ca958a09296f48539c6" title=" " alt="" coords="445,5,640,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="203,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
<a id="a9d742bd3bdcdb084d4f8c0b909d491a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d742bd3bdcdb084d4f8c0b909d491a6">&#9670;&nbsp;</a></span>GetTotalDeclLocation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GetTotalDeclLocation </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>MainNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>totalLocationInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::Decl &amp;&#160;</td>
          <td class="paramname"><em>Decl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a9d742bd3bdcdb084d4f8c0b909d491a6_cgraph.png" border="0" usemap="#_process_location_8h_a9d742bd3bdcdb084d4f8c0b909d491a6_cgraph" alt=""/></div>
<map name="_process_location_8h_a9d742bd3bdcdb084d4f8c0b909d491a6_cgraph" id="_process_location_8h_a9d742bd3bdcdb084d4f8c0b909d491a6_cgraph">
<area shape="rect" title=" " alt="" coords="5,52,165,79"/>
<area shape="rect" href="postgres_interface_8hpp.html#a92b4b934ee79ac703b6db4b5f260c18d" title=" " alt="" coords="218,23,371,49"/>
<area shape="rect" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c" title=" " alt="" coords="213,74,376,115"/>
<area shape="rect" href="_process_location_8h.html#a17c3624a1862686ac638649a89317f63" title=" " alt="" coords="424,56,651,83"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="469,107,606,133"/>
<area shape="rect" href="_process_location_8h.html#a9fbf463f0a31bd0cbddfd31e1241d986" title=" " alt="" coords="737,5,835,32"/>
<area shape="rect" href="_process_location_8h.html#a65f08daa76d5eec8dcb7aa64aa4118c5" title=" " alt="" coords="705,56,867,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="699,107,873,133"/>
</map>
</div>

</div>
</div>
<a id="a92f4e70e7681af4625b590e79d1a935c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92f4e70e7681af4625b590e79d1a935c">&#9670;&nbsp;</a></span>GetTotalStmtLocation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GetTotalStmtLocation </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>MainNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>totalLocationInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::Stmt &amp;&#160;</td>
          <td class="paramname"><em>Stmt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a92f4e70e7681af4625b590e79d1a935c_cgraph.png" border="0" usemap="#_process_location_8h_a92f4e70e7681af4625b590e79d1a935c_cgraph" alt=""/></div>
<map name="_process_location_8h_a92f4e70e7681af4625b590e79d1a935c_cgraph" id="_process_location_8h_a92f4e70e7681af4625b590e79d1a935c_cgraph">
<area shape="rect" title=" " alt="" coords="5,81,168,108"/>
<area shape="rect" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c" title=" " alt="" coords="216,74,379,115"/>
<area shape="rect" href="_process_location_8h.html#a17c3624a1862686ac638649a89317f63" title=" " alt="" coords="427,56,653,83"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="471,107,609,133"/>
<area shape="rect" href="_process_location_8h.html#a9fbf463f0a31bd0cbddfd31e1241d986" title=" " alt="" coords="739,5,838,32"/>
<area shape="rect" href="_process_location_8h.html#a65f08daa76d5eec8dcb7aa64aa4118c5" title=" " alt="" coords="707,56,870,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="701,107,876,133"/>
</map>
</div>

</div>
</div>
<a id="a9adc45180914eee887ec4d625c6b524a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9adc45180914eee887ec4d625c6b524a">&#9670;&nbsp;</a></span>GetTotalTypeLocation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool GetTotalTypeLocation </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>MainNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>totalLocationInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">TypeLoc&#160;</td>
          <td class="paramname"><em>TypeLoc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a9adc45180914eee887ec4d625c6b524a_cgraph.png" border="0" usemap="#_process_location_8h_a9adc45180914eee887ec4d625c6b524a_cgraph" alt=""/></div>
<map name="_process_location_8h_a9adc45180914eee887ec4d625c6b524a_cgraph" id="_process_location_8h_a9adc45180914eee887ec4d625c6b524a_cgraph">
<area shape="rect" title=" " alt="" coords="5,52,167,79"/>
<area shape="rect" href="postgres_interface_8hpp.html#a92b4b934ee79ac703b6db4b5f260c18d" title=" " alt="" coords="219,23,373,49"/>
<area shape="rect" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c" title=" " alt="" coords="215,74,377,115"/>
<area shape="rect" href="_process_location_8h.html#a17c3624a1862686ac638649a89317f63" title=" " alt="" coords="425,56,652,83"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="470,107,607,133"/>
<area shape="rect" href="_process_location_8h.html#a9fbf463f0a31bd0cbddfd31e1241d986" title=" " alt="" coords="738,5,837,32"/>
<area shape="rect" href="_process_location_8h.html#a65f08daa76d5eec8dcb7aa64aa4118c5" title=" " alt="" coords="706,56,869,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="700,107,875,133"/>
</map>
</div>

</div>
</div>
<a id="a17c3624a1862686ac638649a89317f63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17c3624a1862686ac638649a89317f63">&#9670;&nbsp;</a></span>IterativeLocationDetermination()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void IterativeLocationDetermination </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::array &amp;&#160;</td>
          <td class="paramname"><em>array_builder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SourceLocation&#160;</td>
          <td class="paramname"><em>Macro</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; unsigned &gt; &amp;&#160;</td>
          <td class="paramname"><em>tree</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>lvlCtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>StartLoc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>collectionName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a17c3624a1862686ac638649a89317f63_cgraph.png" border="0" usemap="#_process_location_8h_a17c3624a1862686ac638649a89317f63_cgraph" alt=""/></div>
<map name="_process_location_8h_a17c3624a1862686ac638649a89317f63_cgraph" id="_process_location_8h_a17c3624a1862686ac638649a89317f63_cgraph">
<area shape="rect" title=" " alt="" coords="5,56,232,83"/>
<area shape="rect" href="_process_location_8h.html#a9fbf463f0a31bd0cbddfd31e1241d986" title=" " alt="" coords="318,5,417,32"/>
<area shape="rect" href="_process_location_8h.html#a65f08daa76d5eec8dcb7aa64aa4118c5" title=" " alt="" coords="286,56,449,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="280,107,455,133"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a17c3624a1862686ac638649a89317f63_icgraph.png" border="0" usemap="#_process_location_8h_a17c3624a1862686ac638649a89317f63_icgraph" alt=""/></div>
<map name="_process_location_8h_a17c3624a1862686ac638649a89317f63_icgraph" id="_process_location_8h_a17c3624a1862686ac638649a89317f63_icgraph">
<area shape="rect" title=" " alt="" coords="427,56,653,83"/>
<area shape="rect" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c" title=" " alt="" coords="216,49,379,90"/>
<area shape="rect" href="_process_location_8h.html#a9d742bd3bdcdb084d4f8c0b909d491a6" title=" " alt="" coords="7,5,167,32"/>
<area shape="rect" href="_process_location_8h.html#a92f4e70e7681af4625b590e79d1a935c" title=" " alt="" coords="5,56,168,83"/>
<area shape="rect" href="_process_location_8h.html#a9adc45180914eee887ec4d625c6b524a" title=" " alt="" coords="6,107,167,133"/>
</map>
</div>

</div>
</div>
<a id="a5ef3bed3f74a33ac993347585572548c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ef3bed3f74a33ac993347585572548c">&#9670;&nbsp;</a></span>process_location_and_macros()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void process_location_and_macros </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>MainNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>AllLocationInformation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SourceLocation &amp;&#160;</td>
          <td class="paramname"><em>StartMacro</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SourceLocation &amp;&#160;</td>
          <td class="paramname"><em>EndMacro</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a5ef3bed3f74a33ac993347585572548c_cgraph.png" border="0" usemap="#_process_location_8h_a5ef3bed3f74a33ac993347585572548c_cgraph" alt=""/></div>
<map name="_process_location_8h_a5ef3bed3f74a33ac993347585572548c_cgraph" id="_process_location_8h_a5ef3bed3f74a33ac993347585572548c_cgraph">
<area shape="rect" title=" " alt="" coords="5,74,168,115"/>
<area shape="rect" href="_process_location_8h.html#a17c3624a1862686ac638649a89317f63" title=" " alt="" coords="216,56,443,83"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="261,107,398,133"/>
<area shape="rect" href="_process_location_8h.html#a9fbf463f0a31bd0cbddfd31e1241d986" title=" " alt="" coords="529,5,627,32"/>
<area shape="rect" href="_process_location_8h.html#a65f08daa76d5eec8dcb7aa64aa4118c5" title=" " alt="" coords="497,56,659,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="491,107,665,133"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a5ef3bed3f74a33ac993347585572548c_icgraph.png" border="0" usemap="#_process_location_8h_a5ef3bed3f74a33ac993347585572548c_icgraph" alt=""/></div>
<map name="_process_location_8h_a5ef3bed3f74a33ac993347585572548c_icgraph" id="_process_location_8h_a5ef3bed3f74a33ac993347585572548c_icgraph">
<area shape="rect" title=" " alt="" coords="216,49,379,90"/>
<area shape="rect" href="_process_location_8h.html#a9d742bd3bdcdb084d4f8c0b909d491a6" title=" " alt="" coords="7,5,167,32"/>
<area shape="rect" href="_process_location_8h.html#a92f4e70e7681af4625b590e79d1a935c" title=" " alt="" coords="5,56,168,83"/>
<area shape="rect" href="_process_location_8h.html#a9adc45180914eee887ec4d625c6b524a" title=" " alt="" coords="6,107,167,133"/>
</map>
</div>

</div>
</div>
<a id="ae2de931de8faaf31e511359fbfa50340"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2de931de8faaf31e511359fbfa50340">&#9670;&nbsp;</a></span>ProcessExpansionVector() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ProcessExpansionVector </td>
          <td>(</td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>Exlevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>Splevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_loc_eval.html">LocEval</a> &amp;&#160;</td>
          <td class="paramname"><em>CurrentLevelLoc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_loc_eval.html">LocEval</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>AllLocations</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>ExpInform_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isArgExp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_ae2de931de8faaf31e511359fbfa50340_icgraph.png" border="0" usemap="#_process_location_8h_ae2de931de8faaf31e511359fbfa50340_icgraph" alt=""/></div>
<map name="_process_location_8h_ae2de931de8faaf31e511359fbfa50340_icgraph" id="_process_location_8h_ae2de931de8faaf31e511359fbfa50340_icgraph">
<area shape="rect" title=" " alt="" coords="688,5,868,32"/>
<area shape="rect" href="_process_location_8h.html#abb6801f1785c7ca958a09296f48539c6" title=" " alt="" coords="445,5,640,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="203,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
<a id="a703ef4c0a5d29ad491510d3a41b8208a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a703ef4c0a5d29ad491510d3a41b8208a">&#9670;&nbsp;</a></span>ProcessExpansionVector() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ProcessExpansionVector </td>
          <td>(</td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>Exlevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>Splevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_loc_eval.html">LocEval</a> &amp;&#160;</td>
          <td class="paramname"><em>CurrentLevelLoc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_loc_eval.html">LocEval</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>AllLocations</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>ExpInform_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_res_loc_pairs_per_node.html">ResLocPairsPerNode</a> &amp;&#160;</td>
          <td class="paramname"><em>ResSourceLoc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a703ef4c0a5d29ad491510d3a41b8208a_cgraph.png" border="0" usemap="#_process_location_8h_a703ef4c0a5d29ad491510d3a41b8208a_cgraph" alt=""/></div>
<map name="_process_location_8h_a703ef4c0a5d29ad491510d3a41b8208a_cgraph" id="_process_location_8h_a703ef4c0a5d29ad491510d3a41b8208a_cgraph">
<area shape="rect" title=" " alt="" coords="5,93,185,120"/>
<area shape="rect" href="_process_location_8h.html#ade70a01fca7ba031466bdf8f0a38a930" title=" " alt="" coords="267,5,399,32"/>
<area shape="rect" href="_process_location_8h.html#a4b04291b9204ab852bf4887a6d4943fb" title=" " alt="" coords="233,57,432,98"/>
<area shape="rect" href="_process_location_8h.html#af82f871104e7e32a437bc234650282bf" title=" " alt="" coords="480,93,631,120"/>
<area shape="rect" href="_process_location_8h.html#aa92bff132edcf807c0e61f77e0fefd51" title=" " alt="" coords="281,173,384,200"/>
</map>
</div>

</div>
</div>
<a id="af82f871104e7e32a437bc234650282bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af82f871104e7e32a437bc234650282bf">&#9670;&nbsp;</a></span>processScratchArea()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void processScratchArea </td>
          <td>(</td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::pair&lt; std::pair&lt; SourceLocation, SourceLocation &gt;, FileID &gt;&gt; &amp;&#160;</td>
          <td class="paramname"><em>Scratch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>ExpInform_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>indexReplaceLoc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_af82f871104e7e32a437bc234650282bf_icgraph.png" border="0" usemap="#_process_location_8h_af82f871104e7e32a437bc234650282bf_icgraph" alt=""/></div>
<map name="_process_location_8h_af82f871104e7e32a437bc234650282bf_icgraph" id="_process_location_8h_af82f871104e7e32a437bc234650282bf_icgraph">
<area shape="rect" title=" " alt="" coords="480,42,631,69"/>
<area shape="rect" href="_process_location_8h.html#a4b04291b9204ab852bf4887a6d4943fb" title=" " alt="" coords="233,5,432,47"/>
<area shape="rect" href="_process_location_8h.html#a703ef4c0a5d29ad491510d3a41b8208a" title=" " alt="" coords="5,42,185,69"/>
</map>
</div>

</div>
</div>
<a id="ad4b771fd12a876bc2b0e55d207cc11ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4b771fd12a876bc2b0e55d207cc11ae">&#9670;&nbsp;</a></span>ReadUtf8Element()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string ReadUtf8Element </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::document::view&#160;</td>
          <td class="paramname"><em>docvw</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_ad4b771fd12a876bc2b0e55d207cc11ae_icgraph.png" border="0" usemap="#_process_location_8h_ad4b771fd12a876bc2b0e55d207cc11ae_icgraph" alt=""/></div>
<map name="_process_location_8h_ad4b771fd12a876bc2b0e55d207cc11ae_icgraph" id="_process_location_8h_ad4b771fd12a876bc2b0e55d207cc11ae_icgraph">
<area shape="rect" title=" " alt="" coords="1960,579,2097,605"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1776,267,1885,293"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a23ba91bd198c0a9232e2020f2e6b795b" title=" " alt="" coords="1543,579,1697,605"/>
<area shape="rect" href="_process_location_8h.html#a5ef3bed3f74a33ac993347585572548c" title=" " alt="" coords="1749,651,1912,693"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1560,427,1680,453"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1333,249,1491,276"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1360,629,1464,656"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1364,680,1460,707"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1347,477,1477,504"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1369,528,1455,555"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1345,579,1479,605"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1165,224,1269,251"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="981,119,1091,145"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="337,275,455,301"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="753,224,891,251"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="747,173,897,200"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="722,5,922,32"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="721,107,923,149"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="533,56,643,83"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="5,275,105,301"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="153,275,289,301"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="503,169,673,196"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="1149,579,1285,605"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="995,579,1077,605"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="769,629,875,656"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="971,655,1101,681"/>
<area shape="rect" href="_process_location_8h.html#a9d742bd3bdcdb084d4f8c0b909d491a6" title=" " alt="" coords="1540,680,1700,707"/>
<area shape="rect" href="_process_location_8h.html#a92f4e70e7681af4625b590e79d1a935c" title=" " alt="" coords="1539,731,1701,757"/>
<area shape="rect" href="_process_location_8h.html#a9adc45180914eee887ec4d625c6b524a" title=" " alt="" coords="1539,629,1701,656"/>
</map>
</div>

</div>
</div>
<a id="ac327d1c9520a2030a8609030034b668e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac327d1c9520a2030a8609030034b668e">&#9670;&nbsp;</a></span>remove_whitespaces() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int remove_whitespaces </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_ac327d1c9520a2030a8609030034b668e_icgraph.png" border="0" usemap="#_process_location_8h_ac327d1c9520a2030a8609030034b668e_icgraph" alt=""/></div>
<map name="_process_location_8h_ac327d1c9520a2030a8609030034b668e_icgraph" id="_process_location_8h_ac327d1c9520a2030a8609030034b668e_icgraph">
<area shape="rect" title=" " alt="" coords="213,5,373,32"/>
<area shape="rect" href="_process_location_8h.html#ae38289813ff3a7abc123399ecafecbfc" title=" " alt="" coords="5,5,165,32"/>
</map>
</div>

</div>
</div>
<a id="ae38289813ff3a7abc123399ecafecbfc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae38289813ff3a7abc123399ecafecbfc">&#9670;&nbsp;</a></span>remove_whitespaces() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string remove_whitespaces </td>
          <td>(</td>
          <td class="paramtype">std::string &amp;&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_ae38289813ff3a7abc123399ecafecbfc_cgraph.png" border="0" usemap="#_process_location_8h_ae38289813ff3a7abc123399ecafecbfc_cgraph" alt=""/></div>
<map name="_process_location_8h_ae38289813ff3a7abc123399ecafecbfc_cgraph" id="_process_location_8h_ae38289813ff3a7abc123399ecafecbfc_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,165,32"/>
<area shape="rect" href="_process_location_8h.html#ac327d1c9520a2030a8609030034b668e" title=" " alt="" coords="213,5,373,32"/>
</map>
</div>

</div>
</div>
<a id="a92bdb085634169c295153fd9b1ac803c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92bdb085634169c295153fd9b1ac803c">&#9670;&nbsp;</a></span>StoreExpansionLocation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StoreExpansionLocation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;&#160;</td>
          <td class="paramname"><em>Local</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SrcMgr::SLocEntry *&#160;</td>
          <td class="paramname"><em>E</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">BegEndDecompose</a>&#160;</td>
          <td class="paramname"><em>LocInfoBegEnd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a92bdb085634169c295153fd9b1ac803c_icgraph.png" border="0" usemap="#_process_location_8h_a92bdb085634169c295153fd9b1ac803c_icgraph" alt=""/></div>
<map name="_process_location_8h_a92bdb085634169c295153fd9b1ac803c_icgraph" id="_process_location_8h_a92bdb085634169c295153fd9b1ac803c_icgraph">
<area shape="rect" title=" " alt="" coords="445,5,624,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="203,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
<a id="ab0126d17e9e8f5db5be8af303e1ca818"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0126d17e9e8f5db5be8af303e1ca818">&#9670;&nbsp;</a></span>StoreFileLocation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StoreFileLocation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;&#160;</td>
          <td class="paramname"><em>Local</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::pair&lt; SourceLocation, SourceLocation &gt;&#160;</td>
          <td class="paramname"><em>PairExpans</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_ab0126d17e9e8f5db5be8af303e1ca818_icgraph.png" border="0" usemap="#_process_location_8h_ab0126d17e9e8f5db5be8af303e1ca818_icgraph" alt=""/></div>
<map name="_process_location_8h_ab0126d17e9e8f5db5be8af303e1ca818_icgraph" id="_process_location_8h_ab0126d17e9e8f5db5be8af303e1ca818_icgraph">
<area shape="rect" title=" " alt="" coords="445,5,580,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="203,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="5,5,155,32"/>
</map>
</div>

</div>
</div>
<a id="aac7d77dffc37a62046a913dd5f3a0545"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac7d77dffc37a62046a913dd5f3a0545">&#9670;&nbsp;</a></span>StoreMixedExpansionLocation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StoreMixedExpansionLocation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;&#160;</td>
          <td class="paramname"><em>Local</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_types_for_analysis_8h.html#a21c3081cc4c78d68e3591a3d2c4ca049">SLocEntryPair</a> &amp;&#160;</td>
          <td class="paramname"><em>SLocPair</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">BegEndDecompose</a>&#160;</td>
          <td class="paramname"><em>LocInfoBegEnd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::pair&lt; SourceLocation, SourceLocation &gt;&#160;</td>
          <td class="paramname"><em>PairExpans</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>set1stPosition</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_aac7d77dffc37a62046a913dd5f3a0545_icgraph.png" border="0" usemap="#_process_location_8h_aac7d77dffc37a62046a913dd5f3a0545_icgraph" alt=""/></div>
<map name="_process_location_8h_aac7d77dffc37a62046a913dd5f3a0545_icgraph" id="_process_location_8h_aac7d77dffc37a62046a913dd5f3a0545_icgraph">
<area shape="rect" title=" " alt="" coords="445,5,663,32"/>
<area shape="rect" href="_process_location_8h.html#a89d0ffc093cc0944f47db2497074cd09" title=" " alt="" coords="248,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="5,5,200,32"/>
</map>
</div>

</div>
</div>
<a id="a89d0ffc093cc0944f47db2497074cd09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89d0ffc093cc0944f47db2497074cd09">&#9670;&nbsp;</a></span>StoreOneExpansion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;unsigned,unsigned&gt; StoreOneExpansion </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::array &amp;&#160;</td>
          <td class="paramname"><em>array_builder</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &amp;&#160;</td>
          <td class="paramname"><em>Local</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_expansion_information.html">ExpansionInformation</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>ExpInform_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_types_for_analysis_8h.html#a21c3081cc4c78d68e3591a3d2c4ca049">SLocEntryPair</a>&#160;</td>
          <td class="paramname"><em>SLocPair</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_types_for_analysis_8h.html#a0078ab1f7b3ecb80a0febda1ac2b8ff9">BegEndDecompose</a>&#160;</td>
          <td class="paramname"><em>LocInfoBegEnd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::pair&lt; SourceLocation, SourceLocation &gt;&#160;</td>
          <td class="paramname"><em>PairExpans</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>macrolevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned &amp;&#160;</td>
          <td class="paramname"><em>argExpLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>isFirstExp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_exp_eval_result.html">ExpEvalResult</a> &amp;&#160;</td>
          <td class="paramname"><em>ResultEval</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a89d0ffc093cc0944f47db2497074cd09_cgraph.png" border="0" usemap="#_process_location_8h_a89d0ffc093cc0944f47db2497074cd09_cgraph" alt=""/></div>
<map name="_process_location_8h_a89d0ffc093cc0944f47db2497074cd09_cgraph" id="_process_location_8h_a89d0ffc093cc0944f47db2497074cd09_cgraph">
<area shape="rect" title=" " alt="" coords="5,107,155,133"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="214,107,409,133"/>
<area shape="rect" href="_process_location_8h.html#aac7d77dffc37a62046a913dd5f3a0545" title=" " alt="" coords="203,157,420,184"/>
<area shape="rect" href="_process_location_8h.html#abb6801f1785c7ca958a09296f48539c6" title=" " alt="" coords="468,31,663,57"/>
<area shape="rect" href="_process_location_8h.html#abad38270e661e69e3b35b5ffa07ac664" title=" " alt="" coords="500,81,631,108"/>
<area shape="rect" href="_process_location_8h.html#a92bdb085634169c295153fd9b1ac803c" title=" " alt="" coords="476,132,655,159"/>
<area shape="rect" href="_process_location_8h.html#ab0126d17e9e8f5db5be8af303e1ca818" title=" " alt="" coords="498,183,633,209"/>
<area shape="rect" href="_process_location_8h.html#a2f90ddad347bcb1a30b13b5a45d67d98" title=" " alt="" coords="739,5,862,32"/>
<area shape="rect" href="_process_location_8h.html#ae2de931de8faaf31e511359fbfa50340" title=" " alt="" coords="711,56,891,83"/>
<area shape="rect" href="_process_location_8h.html#acd811eedb0bac0f13ce38b7da3dc038c" title=" " alt="" coords="939,5,1020,32"/>
<area shape="rect" href="_process_location_8h.html#a018c66977d2c402cc520713f94a7c3b4" title=" " alt="" coords="1068,5,1217,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_process_location_8h_a89d0ffc093cc0944f47db2497074cd09_icgraph.png" border="0" usemap="#_process_location_8h_a89d0ffc093cc0944f47db2497074cd09_icgraph" alt=""/></div>
<map name="_process_location_8h_a89d0ffc093cc0944f47db2497074cd09_icgraph" id="_process_location_8h_a89d0ffc093cc0944f47db2497074cd09_icgraph">
<area shape="rect" title=" " alt="" coords="248,5,397,32"/>
<area shape="rect" href="_process_location_8h.html#a91ad95bcd3976d77010abe8ec987ac7a" title=" " alt="" coords="5,5,200,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="_process_location_8h.html">ProcessLocation.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
